DraggableImage
Keywords: org.diligentproject.portlets.session.client.DraggableImage class

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.diligentproject.portlets.session.client
Class DraggableImage

    java.lang.Object
      org.diligentproject.portlets.session.client.BaseItem
          org.diligentproject.portlets.session.client.DraggableImage

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class DraggableImage

extends BaseItem

Constructor Summary
`DraggableImage()`
`DraggableImage(java.lang.String thumb, int id, java.lang.String label)`
`DraggableImage(java.lang.String thumb, int id, java.lang.String label, java.lang.String metadata, java.lang.String content)`

Method Summary
`java.lang.String` | `getThumb()`
`void` | `setThumb(java.lang.String thumb)`

Methods inherited from class org.diligentproject.portlets.session.client.BaseItem
`getContent, getId, getLabel, getMetadata, getMimeType, getType, setContent, setId, setLabel, setMetadata, setMimeType, setType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DraggableImage

    public DraggableImage()

### DraggableImage

    public DraggableImage(java.lang.String thumb,
                          int id,
                          java.lang.String label,
                          java.lang.String metadata,
                          java.lang.String content)

### DraggableImage

    public DraggableImage(java.lang.String thumb,
                          int id,
                          java.lang.String label)

Method Detail

### getThumb

    public java.lang.String getThumb()

### setThumb

    public void setThumb(java.lang.String thumb)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD